Reruns a specific workflow job in a run
POST
/repos/{owner}/{repo}/actions/runs/{run}/jobs/{job_id}/rerun
const url = 'https://gitea.example.com/api/v1/repos/example/example/actions/runs/1/jobs/1/rerun';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/repos/example/example/actions/runs/1/jobs/1/rerun \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repository
run
required
integer
Id of the run
job_id
required
integer
Id of the job
Responses
Section titled “Responses”WorkflowJob
Media typeapplication/json
ActionWorkflowJob represents a WorkflowJob
object
completed_at
string format: date-time
conclusion
string
created_at
string format: date-time
head_branch
string
head_sha
string
html_url
string
id
integer format: int64
labels
Array<string>
name
string
run_attempt
integer format: int64
run_id
integer format: int64
run_url
string
runner_id
integer format: int64
runner_name
string
started_at
string format: date-time
status
string
steps
Array<object>
ActionWorkflowStep represents a step of a WorkflowJob
object
completed_at
string format: date-time
conclusion
string
name
string
number
integer format: int64
started_at
string format: date-time
status
string
url
string
Examplegenerated
{ "completed_at": "2026-04-15T12:00:00Z", "conclusion": "example", "created_at": "2026-04-15T12:00:00Z", "head_branch": "example", "head_sha": "example", "html_url": "example", "id": 1, "labels": [ "example" ], "name": "example", "run_attempt": 1, "run_id": 1, "run_url": "example", "runner_id": 1, "runner_name": "example", "started_at": "2026-04-15T12:00:00Z", "status": "example", "steps": [ { "completed_at": "2026-04-15T12:00:00Z", "conclusion": "example", "name": "example", "number": 1, "started_at": "2026-04-15T12:00:00Z", "status": "example" } ], "url": "example"}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string